%global gemname rack-restful_submit

%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}
%global rubyabi 1.8

Summary: Allows RESTful routing without Javascript and multiple submit buttons
Name: rubygem-%{gemname}
Version: 1.2.1
Release: 3%{?dist}
Group: Development/Languages
License: MIT
URL: https://github.com/martincik/%{gemname}
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
Requires: ruby(abi) = %{rubyabi}
Requires: rubygems
Requires: ruby
Requires: rubygem(rack) >= 1.1.0
Requires: rubygem(rack) < 1.2
BuildRequires: ruby(abi) = %{rubyabi}
BuildRequires: rubygems
BuildRequires: ruby
BuildRequires: rubygem(rack) >= 1.1.0
BuildRequires: rubygem(rack) < 1.2
%if 0%{?fedora} <= 14
BuildRequires: rubygem(rspec)
%else
# Use RSpec2. This is required as long as RSpec package is not 
# updated to RSpec 2.
BuildRequires: rubygem(rspec-core)
%endif
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
Implements support of RESTful resources with Rails MVC when Javascript is off
and bulk operations are required with multiple submit buttons.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -q -c -T
mkdir -p .%{gemdir}
gem install --local --install-dir .%{gemdir} \
            --force %{SOURCE0}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* \
        %{buildroot}%{gemdir}/
rm %{buildroot}%{geminstdir}/.gitignore

# Fedora <= 15 has only Rack 1.1.0.
sed -i -e 's|%q<rack>, \["~> 1.3.0"\]|%q<rack>, \["~> 1.1.0"\]|' %{buildroot}%{gemdir}/specifications/rack-restful_submit-1.2.1.gemspec

%check
pushd %{buildroot}%{geminstdir}
%if 0%{?fedora} <= 14
%{_bindir}/spec spec/
%else
# Use RSpec2 for newer distributions.
%{_bindir}/rspec spec/
%endif
popd

%files
%dir %{geminstdir}
%{geminstdir}/lib
%doc %{geminstdir}/README.markdown
%doc %{geminstdir}/LICENSE
%doc %{gemdir}/doc/%{gemname}-%{version}
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%{gemdir}/doc/%{gemname}-%{version}
%{geminstdir}/%{gemname}.gemspec
%{geminstdir}/spec
%{geminstdir}/Gemfile
%{geminstdir}/Gemfile.lock

%changelog
* Mon Sep 26 2011 Vít Ondruch <vondruch@redhat.com> - 1.2.1-3
- Correlate Fedora dependencies with gem dependencies.

* Mon Sep 26 2011 Vít Ondruch <vondruch@redhat.com> - 1.2.1-2
- Fix the rack dependency since Fedora <= 15 contains only Rack 1.1.0.

* Mon Aug 29 2011 Vít Ondruch <vondruch@redhat.com> - 1.2.1-1
- Updated to rack-restful_submit 1.2.1.

* Tue Mar 08 2011 Vít Ondruch <vondruch@redhat.com> - 1.1.2-3
- Updated RSpec dependencies. RSpec2 used for newer distributions.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 15 2010 Jozef Zigmund <jzigmund@redhat.com> - 1.1.2-1
- Initial package
